Subject: RE: Why?

From: "Michel Py" <[email-masked]>
Date: Sat, 12 Mar 2005 14:53:09 -0800

>> Michel Py wrote:
>> I realize now that this is where we erred: by shifting the
>> multi-homing problem from the ISP to the end-user, we made
>> a less-palatable protocol ... We forgot to KISS. 

> Noel Chiappa wrote:
> I'm going to have to seriously disagree with the philosophical
> principle(s) you seem to be promulgating here, because I think
> you're quite wrong.

I am not promulgating philosophical principles. _In general_ I agree
with "The Right Thing" you mention below. What I was trying to
communicate is that, in _this_ specific case, we might have been better
off making an exception.

> Starting with the more specific principle, moving functionality
> from "the network" to "the user entities" is not at all necessarily
> the Wrong Thing. Sometimes it's very much the Right Thing.

Generically speaking, I completely agree.

> [SNIP]
> In analyzing whether moving functionality out to the edges like
> that is the right engineering decision, one has to look at a whole
> range of factors, and look at the whole system - and sometimes it
> is indeed the Right Thing to make the end entities more complex.

No argument here either, but again that would be a generic statement.

> More generally, there's TANSTAAFL. We can't expect to build a
> global system with all sort of interesting capabilities, and do
> so with the same architecture we had when we were planning a much
> smaller network with more limited capabilities.
> There is going to have to be extra complexity to get those extra
> capabilities, and inevitably (for good system architectural
> reasons, as discussed above), some of that complexity is going
> to wind up in the end entities.

Indeed. I will point out though that the amount of complexity added to
the end entities is a delicate balance to find and specific to each
project or protocol.

It is true that complexity brings capabilities, but what is equally true
is that too much added complexity is counter-productive.

Retrospectively, and in this specific case, I stand by what I said: even
if it is The Right Thing, this added complexity hampers deployment. The
market does not pick a solution because it's The Right Thing. The market
likes KISS, and unfortunately will sometimes pick KISS over The Right
Thing. You can take the horse to the water, but you can't make it drink.

Michel.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf